Skip to content

Get License Status

POST
/api/license/status

Check the cached license file status (offline, no network needed).

Verifies the cryptographic signature of the locally cached license file and confirms the machine fingerprint matches (node-locking enforcement). Returns valid=false with no error if no license file exists (first launch).

LicenseStatusRequest

Check cached license status (offline verification).

object
machineFingerprint
required
Machinefingerprint
string

Successful Response

LicenseStatusResponse

Current license status (returned by validate and status endpoints).

object
valid
required
Valid
boolean
licenseKeyLast4
Licensekeylast4
string
""
machinesUsed
Machinesused
integer
0
machinesLimit
Machineslimit
integer
0
licenseType
Licensetype
string
default: customer
expiresAt
Any of:
string
error
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object